#include <bits/stdc++.h>
using namespace std;
int n,q,b,indeks,medijana,v;
bool postoji,radi;
vector <int> a,c;
int BT(int x){
    int left=1;
    int right=n;
  while (left<=right){
  int srednji=(left+right)/2;
    if(a[srednji]-x<=1 and a[srednji]-x>=-1){
      if(a[srednji]-x==0 or a[srednji]-x==1){
          if(a[srednji]-x==0){
            postoji=true;
            return srednji;
          }
          else return srednji;
      }
      else if(a[srednji]-x==1)return srednji;
      else return srednji+1;
    }
    else if(a[srednji]-x<-1)left=srednji+1;
    else right=srednji-1;
   }
   return 0;
}
int main(){
  cin >> n >> q;
  for(int i=1; i<=n; i++){
    cin >> v;
    a.push_back(v);
  }
  sort(a.begin(),a.end());
  medijana=n/2;
  for(int i=0; i<q; i++){
    c=a;
    postoji=false;
    cin >> b;
    indeks=BT(b);
    if(indeks==medijana){
      if(!postoji)cout << "1\n";
      else cout << "0\n";
      continue;
    }
      for(int i=0; true; i++){
        c.insert(c.begin()+indeks+i,b);
        if(c[c.size()/2]==b){
          cout << i+1 << endl;
          break;
        }
      }
    }
  return 0;
}